%global momorel 1
%global md5sum_src0 3a4e5e3d14542fcebf1d15262f5b9a3f

Name:           perl-CGI-Simple
Version:        1.1
Release: %{momorel}m%{?dist}
Summary:        CGI::Simple Perl module
License:        "Unknown"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Cgi-Simple/
%NoSource 0     http://www.cpan.org/authors/id/A/AN/ANDYA/CGI-Simple-%{version}.tar.gz %{md5sum_src0}
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Obsoletes:      perl-Cgi-Simple
Provides:       perl-Cgi-Simple = %{version}-%{release}

%description
CGI::Simple provides a relatively lightweight drop in replacement for
CGI.pm. It shares an identical OO interface to CGI.pm for parameter
parsing, file upload, cookie handling and header generation. This module is
entirely object oriented, however a complete functional interface is
available by using the CGI::Simple::Standard module.

%prep
%setup -q -n CGI-Simple-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sat Jul 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-1m)
- update to 1.1

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.080-2m)
- use vendor

* Sat Mar 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.080-1m)
- update to 0.080

* Sun Feb 25 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.079-1m)
- update to 0.079

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.078-2m)
- Provides: perl-Cgi-Simple

* Thu Jan 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.078-1m)
- package name was changed to perl-CGI-Simple
- change source URI

* Sun Oct 01 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.077-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
